This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1468412 - [docs][tempest] Fixes for the OSP11 tempest guide
[docs][tempest] Fixes for the OSP11 tempest guide
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Martin Lopes
Charelle Collett
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 22:37 EDT by Martin Lopes
Modified: 2017-07-13 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Lopes 2017-07-06 22:37:09 EDT
In this guide:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html-single/openstack_integration_test_suite_guide/

* Remove the `openstack-status` step.
* Update the instructions to run `tempest cleanup --init-saved-state` before: ostestr '.*smoke'
* Change # prompts to $.
Comment 1 Martin Lopes 2017-07-06 22:42:56 EDT
Also add `--network` parameter to `openstack subnet create`
Comment 2 Martin Lopes 2017-07-06 22:51:29 EDT
Also change `--external_gateway` to `--external-gateway`
Comment 3 Martin Lopes 2017-07-06 23:44:43 EDT
Remove the `-y` from yum commands.
Comment 4 Martin Lopes 2017-07-09 20:56:08 EDT
This changes are currently being tech reviewed in a separate piece of work.
Comment 5 Martin Lopes 2017-07-12 21:30:33 EDT
Also update `Initialize tempest`.

Should be:

----
Initialize tempest:
$ cd ~
$ tempest init mytempest
$ cd mytempest

This creates a tempest workspace named mytempest for your user account.
---
Comment 6 Martin Lopes 2017-07-13 00:20:21 EDT
Also, describe offline access for config_tempest.py

Note You need to log in before you can comment on or make changes to this bug.